Skip to Content

List scheduled mailbox sends

Lists the caller's private scheduled sends in this mailbox. Items leave this list when sent, held, failed, or returned to Drafts.

GET
/v1/mailboxes/{id}/scheduled

Lists the caller's private scheduled sends in this mailbox. Items leave this list when sent, held, failed, or returned to Drafts.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

MailboxScheduledSendPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.listScheduledSends({
  "id": "example"
});
Example Response
{
  "items": [
    {
      "id": "string",
      "mailboxId": "string",
      "threadId": "string",
      "draftId": "string",
      "draftRevision": 1,
      "draftSummary": {
        "to": [
          "string"
        ],
        "subject": "string"
      },
      "status": "queued",
      "scheduledFor": "string",
      "holdReason": "threadChanged",
      "revision": 1,
      "baseSeq": 0,
      "heldAtSeq": 0,
      "actionId": "string",
      "problem": {
        "code": "string",
        "message": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Related documentation